#!perl

$| = 1;

if ($#ARGV < 1) {
  give_help:
   print "$0 -- lex and regurgitate HTML or XML file\n" .
         "\n" .
         "Usage:\n" .
         "\n" .
         "   Perl4 $0 {options} inpfile.html outpfile.html\n" .
         "\n" .
         "Example:\n" .
         "   C:\> Perl4 $0 index.html index2.html\n" .
         "   C:\> fc /b index.html index2.html\n" .
         "   Comparing files index.html and index2.html\n" .
         "   FC: no differences encountered\n";

   exit(1);
}


sub scan_file {
   local($inpfile,$outfile) = @_;
   # print "Scanning $inpfile\n";
   unlink $outfile;
   if (!open(INFILE,"XML_lex $inpfile|")) {
      print "ERROR: could not open $inpfile, $!\n";
   } else {
      if (eof(INPFILE)) {
         # print STDERR "ERROR: could not read $inpfile\n";
         #  don't need to display error message, because XML_lex already displayed one
      } else {
         if (!open(OUTFILE,">$outfile")) {
            print "ERROR: could not create $outfile, $!\n";
         } else {
            while (<INFILE>) {
               chop;
               $lprefix = substr( $_, 0, 5 );
               $chunk = substr( $_, 5 );
               if ("1" eq substr($lprefix,3,1)) {
                  $chunk .= "\n";
               }
               print OUTFILE $chunk;
            }#while
            close OUTFILE;
         }
      }
      close INFILE;
   } #else
} #scan_file

&scan_file( $ARGV[0], $ARGV[1] );

__END__
